com.ibm.openpages.api.respview

## Interface IRespViewRuleCondition

-     public interface IRespViewRuleCondition

  Represents the condition for responsive view identification rule. The condition can be recursive structure when the type is `RespViewRuleConditionType.conditions`.

  Since:
    7.4.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRespViewRuleCondition` | `cloneCondition()` Creates a copy of the condition including child conditions
    `java.util.List<IRespViewRuleCondition>` | `getConditions()` Returns the grouped child conditions when the type is `RespViewRuleConditionType.conditions`
    `IFieldDefinition` | `getFieldDefinition()` Returns the field definition to evaluate when the type is field conditions `RespViewRuleConditionType.isFieldCondition()`
    `LogicalOperatorType` | `getLogicalOperator()` Returns the logical operator type of the condition when the type is `RespViewRuleConditionType.conditions`
    `RespViewRuleConditionType` | `getType()` Returns the type of the condition.
    `java.util.List<java.lang.String>` | `getValues()` Returns the values to match when the type is not `RespViewRuleConditionType.conditions`
    `java.lang.Boolean` | `isInvertMatch()` Returns if the condition inverts the match (e.g.
    `void` | `setConditions(java.util.List<IRespViewRuleCondition> conditions)` Sets the grouped child conditions when the type is `RespViewRuleConditionType.conditions`
    `void` | `setInvertMatch(java.lang.Boolean invert)` Sets if the condition inverts the match when the type is not `RespViewRuleConditionType.conditions`
    `void` | `setLogicalOperator(LogicalOperatorType op)` Sets the logical operator type of the condition when the type is `RespViewRuleConditionType.conditions`
    `void` | `setValues(java.util.List<java.lang.String> values)` Sets the values to match when the type is not `RespViewRuleConditionType.conditions`

- - ### Method Detail

    - #### getType

          RespViewRuleConditionType getType()

      Returns the type of the condition.
      Returns:
        `RespViewRuleConditionType`

    - #### getLogicalOperator

          LogicalOperatorType getLogicalOperator()

      Returns the logical operator type of the condition when the type is `RespViewRuleConditionType.conditions`
      Returns:
        `LogicalOperatorType`

    - #### setLogicalOperator

          void setLogicalOperator(LogicalOperatorType op)

      Sets the logical operator type of the condition when the type is `RespViewRuleConditionType.conditions`
      Parameters:
        `op` - `LogicalOperatorType`

    - #### getFieldDefinition

          IFieldDefinition getFieldDefinition()

      Returns the field definition to evaluate when the type is field conditions `RespViewRuleConditionType.isFieldCondition()`
      Returns:
        `IFieldDefinition`

    - #### getValues

          java.util.List<java.lang.String> getValues()

      Returns the values to match when the type is not `RespViewRuleConditionType.conditions`
      Returns:
        the list of string values to match

    - #### setValues

          void setValues(java.util.List<java.lang.String> values)

      Sets the values to match when the type is not `RespViewRuleConditionType.conditions`
      Parameters:
        `values` - - the list of string values to match

    - #### isInvertMatch

          java.lang.Boolean isInvertMatch()

      Returns if the condition inverts the match (e.g. the field value is NOT "A" or "B") when the type is not `RespViewRuleConditionType.conditions`
      Returns:
        true if the condition inverts the match.

    - #### setInvertMatch

          void setInvertMatch(java.lang.Boolean invert)

      Sets if the condition inverts the match when the type is not `RespViewRuleConditionType.conditions`
      Parameters:
        `invert` -

    - #### getConditions

          java.util.List<IRespViewRuleCondition> getConditions()

      Returns the grouped child conditions when the type is `RespViewRuleConditionType.conditions`
      Returns:
        the list of `IRespViewRuleCondition`

    - #### setConditions

          void setConditions(java.util.List<IRespViewRuleCondition> conditions)

      Sets the grouped child conditions when the type is `RespViewRuleConditionType.conditions`
      Parameters:
        `conditions` -

    - #### cloneCondition

          IRespViewRuleCondition cloneCondition()

      Creates a copy of the condition including child conditions
      Returns:
        the copy of `IRespViewRuleCondition`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.